Mule AS2 Connector Demo
==============================

Demo for the Mule AS2 Connector.

How to Run Demo
---------------

1. In Anypoint Studio, go to File > Import ...
2. Select _Anypoint Studio Project from External Location_
3. Navigate to ```connector/demo/send-and-receive``` and import the project
4. Adjust ```mule-app.properties``` to your configuration or use the values in the [Sample Values](#sample-values) section below.
5. Right-click the imported project and click _Run As_ > _Mule Application_

6. This will create an ```outbox``` folder at the root level of your application.

7. While the application is running, copy a file over to  ```outbox```. It should get processed and received by the inbound endpoint of the Connector. Processed files are published in the  ```inbox``` folder

###Sample Values

The referenced ```.jks``` files can be found under ```src/main/resources```

```
as2.receiver.keystorepath=myCompany.jks
as2.receiver.keystorepassword=passw0rd
as2.receiver.requiresenderas2from=myPartner
as2.receiver.requiresenderas2to=myCompany

as2.sender.keystorepath=myPartner.jks
as2.sender.keystorepassword=passw0rd
as2.sender.as2from=myPartner
as2.sender.as2to=myCompany
```



About the Demo
--------------

The demo provides examples for sending and receiving files using the AS2 Mule Connector.

Two flows interact in the Demo Application. ```as2-send-flow``` reads a file from the ```outbox``` folder and sends it to the AS2 connector for further processing.

Default configuration sends a signed, encrypted message with custom subject requiring a signed receipt with MIC calculation using _SHA1_ as hash algorithm.

The ```as2-receive-flow``` will then get the file, process it from the inbound side of the connector and publish the results in the ```outbox``` folder.
